I've got a sub that grabs all of the text objects in a drawing and then compares the first 20 characters to a defined string. I want it to be able to erase any objects that are a match prior to moving on to the next object in the selection set. With the following code, it does everything but erase the object.
Public Sub RemoveDisclaimer() Dim myDB As Database = HostApplicationServices.WorkingDatabase Dim myDWG As Document = DocumentManager.MdiActiveDocument Dim myED As Editor = myDWG.Editor Dim dsText As DBText Dim dsMText As MText Using myTrans As Transaction = myDB.TransactionManager.StartTransaction 'select all text objects in the drawing Dim myBlockTable As BlockTable = myDB.BlockTableId.GetObject(OpenMode.ForRead) Dim myTypedValue(3) As
[code].......
I'm trying to change the dafault varible for the mirror command from no to yes. whne you do the mirror command after you choose your second point it asks if you want to erase the source object and the default is set to no but I would like to change it to yes. I'm able to change the macro for the mirror button which works but only when I push the button. Before the cui file I remember everything was done from the acad.pgp or the acad.mnu files but with the new CUI file i can't seem to locate wher to change the actual command and not just the macro for the mirror button.
Is there a way to subtract and object but it doesn't erase the original object?
I have a way of doing this by copying an object and placing it in the original position. Than subtract a single object leaving the copy of the object behind.
I wondered if there is a way to accomplish this with less steps.
Wblock when run from the command line used to erase the entities selected, now it seems it does not, but the dialog box shows an option to keep or erase the selected entities.
Any variable name that controls this functionality?
I need to remove a picture of a horse in the background and replace it with a picture of a fence similar to the rest of the picture. I know how to erase the image using the lasso tool and the magic wand. How do I clone part of the background to replace the erased image and then blend the two pictures together?
I am having trouble getting the erase tool to erase part of an elipse shape in Corel Draw. I select the erase tool and click and drag across the part of an elipse that I want to get rid of (so far so good), then I release the mouse and an outline of the nib tool is left behind.
Created L200 Annotative text in C3d drawing w/ SP1, INSTALLED SP2, working in dwg now I can not move, rotate or erase the text that is annotative (the two scale symbols) appear at every piece of text. I tried making in the STYLE text box toggling on and off "Annotative Text" does not work. Also did -purge Regapps, still can not edit text.
effective method of removing text/font from an image. I've tried playing around with clone stamp and spot healing brush, but it never quite turns out right.
Edit: (I tried to include the image here, but it appears it's against forum rules. Oh well. I think having the image would be a good reference, so if there's a way that can be worked out...)
I know this is located in other locations but I can't seem to make it work with my block.
I would like the cross and the text N to rotate independantly of the arrow while the N stays with the thick line. That's the easy part. How can I make the N move along the rotation path and keep the text aligned horizontally? I read something about linked action and move, but I can't make it work.
I would like to remove all the Layers with the name "PLOH*" in them, that do not have anything in the same insertion point. I have been trying to select everything in the crossing window where the point3d's are the same but this does not get them all for some reason.
This may be confusing, but I wonder if there's any way to link an object to a certain text place or paragraph in a text frame, so if you edit the text somewhere, the "linked" image will move up/down with its associated text? That is, the object being a part of the text flow.
I am using Inventor 2009 SP2, OS is XP Professional 2002 SP3.
I copy a file which has lot of parameters, I want to delete some of them, but Inventor Parameters pop up window just has buttom to add a user Parameter, without button to erase one.
Autodesk Inventor Professional 2013 (64 Bit) SP2 Windows 7 Professional Service Pack 1 Intel(R) Xeon(R) CPU E5645 12.0 GB Memory
I have a drawing with a Polyline filled with Hatch. Also I have that Polyline ObjectId. So using this ployline ObjectId I want to erase the Hatch inside polyline. How I can erase the Hatch.
The setup, im attempting to create mtext aligned to the selected object at the point nearest to where i select, this works fine for active objects, but is failing when it trys to calc the angle on nested objects
(Line 106, Dim fder AsVector3d = bah.GetFirstDerivative(inspt) )
i think this is because the point is not associated with the cloned (from xref) object? any thoughts on how to get it to work with the single object selection/insertion point prompt? in the meantime ive re-written to have a second prompt for the insertion point, which works on the cloned object.
Heres the Imports
SystemImports Autodesk.AutoCAD.RuntimeImports Autodesk.AutoCAD.ApplicationServicesImports Autodesk.AutoCAD.DatabaseServicesImports Autodesk.AutoCAD.GeometryImports Autodesk.AutoCAD.EditorInput<Assembly: CommandClass(GetType(Line_Labler.snibbity))> Namespace Line_Labler Public Class snibbity <CommandMethod("linelabel")> Public Sub snabble()
i want to zoom object by its properties, such as i want to zoom the object was using 0.13mm lineweights or zoom the text which was using 3mm testheight
I tried to place the text ABCDE inside of one rectangle (drawn by polyline), in such a way that, the text should be exactly at "Middle Centre" of that rectangle.
I could achieve this 90% purely by my own judgment.
Even when, I tried to draw a rectangle just to touch all 4 sides vertices of the text ABCDE, I could not get any OSNAP points on the text to start a line. Can we treat a "Text" object the way we deal with any other geometrical object - Rectangle, Square, Circle, Triangle or Ellipse?
I am running AutoCAD 2011 on Windows 7 via BootCamp. The Delete Key does not function to erase lines. I have set Pickfirst to 1 and ensured Noun/Verb is checked on. I have tried pressing just the Delete key and also FN Delete, which is the correct combination for Delete on the MacBook Pro keyboard.
Working in AutoCAD™ 2012... Is there a way to "erase" an entity, line, etc. by selecting it and having it immediately disappear? I work in 3D/DXB files a lot and it really useful when working with an audience either for on-screen seminars or over-the-shoulder.
I have a lot of AutoCAD files which have embedded OLE objects (excel) inside. I want to be able to export only the text from the Excel OLE object using VBA (or Lisp, I don't mind which) without having to fire up the OLE application (i.e. Excel).
The embedded OLE objects have no link to any external files - so I imagine it must all be held somehow inside the AutoCAD file, but how it can be accessed?!!?
I just received a large floor plan and loads of the text is upside down. Usually I would use the TORIENT command in Express Tools although this doesn’t seem to work.
The error I get is:1 object was not parallel to the current UCS.No valid objects selected.
I’ve tried flatten, mirror & rotate but I still can’t get the text to display correctly.
I’ve attached a DWG file (2010 format) with a piece of text.
In Autocad 2013, Is it possible to erase somme items of a rectangular associative array. I have seen that we can replace an object with a different one.